> ## Documentation Index
> Fetch the complete documentation index at: https://doc-test-my.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch All QR Codes

> Fetch the details of multiple QR Codes using this endpoint.

Use this endpoint to retrieve the details of multiple QR Codes.

<RequestExample>
  ```bash Curl theme={null}
  curl -u <YOUR_KEY_ID>:<YOUR_KEY_SECRET> \
  -X GET https://api.razorpay.com/v1/payments/qr_codes \
  ```

  ```java Java theme={null}
  RazorpayClient razorpay = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");

  JSONObject params = new JSONObject();
  params.put("count","1");

  List<QrCode> qrcode = razorpay.qrCode.fetchAll(params);
  ```

  ```php PHP theme={null}
  $api = new Api($key_id, $secret);

  $api->qrCode->all($options)
  ```

  ```javascript Node.js theme={null}
  var instance = new Razorpay({ key_id: 'YOUR_KEY_ID', key_secret: 'YOUR_SECRET' })

  instance.qrCode.all()
  ```

  ```python Python theme={null}
  import razorpay
  client = razorpay.Client(auth=("YOUR_ID", "YOUR_SECRET"))

  client.qrcode.all()
  ```

  ```go Go theme={null}
  import ( razorpay "github.com/razorpay/razorpay-go" )
  client := razorpay.NewClient("YOUR_KEY_ID", "YOUR_SECRET")

  data := map[string]interface{}{
    "count": "2",
  }

  body, err := client.QrCode.All(nil, nil)
  ```

  ```ruby Ruby theme={null}
  require "razorpay"
  Razorpay.setup('YOUR_KEY_ID', 'YOUR_SECRET')

  para_attr = {
    "count": 1  
  }

  Razorpay::QrCode.all(para_attr)
  ```

  ```csharp .NET theme={null}
  RazorpayClient client = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");

  Dictionary<string, object> paramRequest = new Dictionary<string, object>();
  paramRequest.Add("count", "1");

  List<QrCode> paymentlink = client.QrCode.All(paramRequest);
  ```

  ```bash CLI theme={null}
  razorpay qr-codes list --count 10 --skip 0 --from 1776754530 --to 1776758130
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "entity": "collection",
    "count": 2,
    "items": [
      {
        "id": "qr_HO2jGkWReVBMNu",
        "entity": "qr_code",
        "created_at": 1623914648,
        "name": "Store_1",
        "usage": "single_use",
        "type": "upi_qr",
        "image_url": "https://rzp.io/i/w2CEwYmkAu",
        "payment_amount": 300,
        "status": "active",
        "description": "For Store 1",
        "fixed_amount": true,
        "payments_amount_received": 0,
        "payments_count_received": 0,
        "notes": {
          "purpose": "Test UPI QR Code notes"
        },
        "customer_id": "cust_HKsR5se84c5LTO",
        "close_by": 1681615838,
        "closed_at": null,
        "close_reason": null
      },
      {
        "id": "qr_HO2e0813YlchUn",
        "entity": "qr_code",
        "created_at": 1623914349,
        "name": "Acme Groceries",
        "usage": "multiple_use",
        "type": "upi_qr",
        "image_url": "https://rzp.io/i/X6QM7LL",
        "payment_amount": null,
        "status": "closed",
        "description": "Buy fresh groceries",
        "fixed_amount": false,
        "payments_amount_received": 200,
        "payments_count_received": 1,
        "notes": {
          "Branch": "Bangalore - Rajaji Nagar"
        },
        "customer_id": "cust_HKsR5se84c5LTO",
        "close_by": 1625077799,
        "closed_at": 1623914515,
        "close_reason": "on_demand"
      }
    ]
  }
  ```

  ```json Failure theme={null}
  {
      "error": {
          "code": "SERVER_ERROR",
          "description": "We are facing some trouble completing your request at the moment. Please try again shortly.",
          "source": "NA",
          "step": "NA",
          "reason": "NA",
          "metadata": {}
      }
  }
  ```
</ResponseExample>

## Query Parameters

<ParamField query="from" type="integer">
  Unix timestamp, in seconds, from when QR Codes are to be retrieved.
</ParamField>

<ParamField query="to" type="integer">
  Unix timestamp, in seconds, till when QR Codes are to be retrieved.
</ParamField>

<ParamField query="count" type="integer">
  Number of QR Codes to be retrieved.

  * Default value: 10
  * Maximum value: 100
  * This can be used for pagination, in combination with `skip`.
</ParamField>

<ParamField query="skip" type="integer">
  Number of records to be skipped while fetching the QR Codes. This can be used for pagination, in combination with `count`.
</ParamField>

## Response Parameters

<ResponseField name="id" type="string">
  The unique identifier of the QR Code. For example, `qr_HMsVL8HOpbMcjU`.
</ResponseField>

<ResponseField name="entity" type="string">
  Indicates the type of entity. Here, it is `qr_code`.
</ResponseField>

<ResponseField name="created_at" type="integer">
  Unix timestamp at which the QR Code is created.
</ResponseField>

<ResponseField name="name" type="string">
  Label entered to identify the QR Code. For example, `Store Front Display`.
</ResponseField>

<ResponseField name="usage" type="string">
  Indicates if the QR Code should be allowed to accept single payment or multiple payments. Possible values:

  * `single_use`: QR Code will accept only one payment and then close automatically.
  * `multiple_use` (default): QR Code will accept multiple payments.
</ResponseField>

<ResponseField name="type" type="string">
  The type of the QR Code. Possible value is `upi_qr`, which creates a QR Code that accepts only UPI payments. <br />

  <Info>
    **Feature Request**

    This is an on-demand feature. Please raise a request with our [Support team](https://razorpay.com/support/#request) to get this feature activated on your account.
  </Info>
</ResponseField>

<ResponseField name="image_url" type="string">
  The URL of the QR Code. For example, `http://rzp.io/l6MS`. Click the link to download the code.
</ResponseField>

<ResponseField name="payment_amount" type="integer">
  The amount allowed for a transaction. If this is specified, then any transaction of an amount less than or more than this value is not allowed. For example, if this amount is set as `500000`, the customer cannot pay an amount less than or more than ₹5000.
</ResponseField>

<ResponseField name="status" type="string">
  Indicates the status of the QR Code. Possible values:

  * `active`: Indicates that the QR Code has been created and is ready to accept payments.
  * `closed`: Indicates that the QR Code has been closed.
</ResponseField>

<ResponseField name="description" type="string">
  A brief description about the QR Code.
</ResponseField>

<ResponseField name="fixed_amount" type="boolean">
  Indicates if the QR Code should accept payments of specific amounts or any amount. Possible values:

  * `true`: QR Code accepts only a specific amount.
  * `false` (default): QR code accepts any amount.

  <Warning>
    **Watch Out!**

    When setting the `usage` to `single_use`, ensure that `fixed_amount` is `true` to generate the QR Code successfully.
  </Warning>
</ResponseField>

<ResponseField name="payments_amount_received" type="integer">
  The total amount received on the QR Code. Only captured payments are considered.
</ResponseField>

<ResponseField name="payments_count_received" type="integer">
  The total number of payments received on the QR Code. All captured payments are considered.
</ResponseField>

<ResponseField name="notes" type="json object">
  Key-value pair that can be used to store additional information about the QR Code. Maximum 15 key-value pairs, 256 characters (maximum) each. For example, `"note_key": "Beam me up Scotty”`.
</ResponseField>

<ResponseField name="customer_id" type="string">
  The unique identifier of the customer the QR Code is linked with. Know more about the [Customers API](/docs/api/customers).
</ResponseField>

<ResponseField name="close_by" type="integer">
  Unix timestamp at which the QR Code is scheduled to be automatically closed. The time must be at least 15 minutes after the current time. The date range can be set to `2147483647` in Unix timestamp format (equivalent to Tuesday, January 19, 2038 8:44:07 AM GMT+05:30).

  <Info>
    **Handy Tips**

    * Any request beyond 2147483647 Unix timestamp will fail.
  </Info>

  <Warning>
    **Watch Out!**

    * This parameter is only available for QR codes with `usage` set as `single_use`. You will not be able to use this parameter for `multiple_use` QR codes as it will generate an error.
    * For `single_use` QR codes, the `close_by` date can be set for a maximum of 45 days. If no `close_by` date is specified, the QR code will automatically become inactive after 45 days. Conversely, `multiple_use` QR codes do not have an expiration date.
  </Warning>
</ResponseField>

<ResponseField name="closed_at" type="integer">
  Unix timestamp at which the QR Code is automatically closed.
</ResponseField>

<ResponseField name="close_reason" type="string">
  The reason for the closure of the QR Code. Possible values:

  * `on_demand`: When you close the QR Code using the APIs or the Dashboard.
  * `paid`: If the QR Code is created with the `usage=single_payment` parameter, the QR Code closes automatically once the customer makes the payment, with the reason marked as `paid`.
  * `null`: The QR Code has not been closed yet.
</ResponseField>

<ResponseField name="tax_invoice" type="array">
  Tax invoice details for GST-compliant QR codes. An array containing GST identification and supply information.
</ResponseField>

## Errors

<AccordionGroup>
  <Accordion title="The API {key/secret} provided is invalid.">
    **Code:** `4xx`

    The API credentials passed in the API call differ from the ones generated on the Dashboard.

    **Solution:** The API keys must be active and entered correctly with no whitespace before or after.
  </Accordion>

  <Accordion title="The id provided does not exist.">
    **Code:** `400`

    Possible reasons:

    * The URL is wrong or is missing something.
    * A GET API is executed by POST Method.

    **Solution:** Suggested solutions:

    * Ensure you have the correct and complete URL.
    * Use the right method, that is, GET.
  </Accordion>

  <Accordion title="We are facing some trouble completing your request at the moment. Please try again shortly.">
    **Code:** `400`

    A GET API is executed by POST Method.

    **Solution:** Use the correct method, that is, GET.
  </Accordion>

  <Accordion title="The requested URL was not found on the server.">
    **Code:** `400`

    The URL is wrong or missing something.

    **Solution:** Use the correct and complete URL.
  </Accordion>
</AccordionGroup>
